## JupyterLab SDA wrapper 

This repository provides a small wrapper code to create JupyterLab Scientific Data Application (SDA) from an external git repo.

The CI/CD pipeline automatically builds - upon each new commit - the Docker image from the provided Dockerfile. The `requirements.txt` file from the target repository is used to install the necessary python libraries.

Once the pipelins completes sucessfully the image is available in GitLab's container registry. 

The url to the container is necessary to create the corresponding SDA on the EXPLORE platform.
Once the SDA is created on the EXPLORE platform it automatically checks for updates to the docker image on the GitLab registry and pulls the updated image when prompted by the SDA developer. 

## Europlanet ML science case "05_Magnetospheric_Boundaries"

The data, code and notebooks are cloned from the Mercurcy surface classification git repository: 
(https://github.com/epn-ml/Tutorial_IAP_Boundaries)


## Local development

The SDA can be tested locally (https://127.0.0.1:8888/lab) using:

    docker build ./ -t boundaries -f ./Dockerfile
    docker run -p=8888:8888 boundaries

## Acknowledgements

This project has received funding from the European Union’s Horizon 2020 research and innovation programme under grant agreement No 101004214. 

This project receives funding from the European Union's Horizon 2020 research and innovation programme under grant agreement No 871149.


<img src='logoEU.jpg' height='100' /> <img src='Europlanet_Machine_Learning_Logo_Standard.png' height='100' />

